
Redmine - Defect #19661

ActionView::Template::Error

2015-04-19 16:29 - Pandiyarajan Arumugam

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version:  

Description

Hi to all,

I'm new to redmine. I've migrated the redmine from old server to new server and everything is seems to be good. But when I click an

existing issues its showing error like 'Internal error'. My production log shows below error.

ActionView::Template::Error (undefined method `send_to_owner' for #<Journal:0x00000005f60040>):

16:     <%= render_notes(issue, journal, :reply_links => reply_links) unless journal.notes.blank? >

17:     </div>

18:   </div>

19:   <= call_hook(:view_issues_history_journal_bottom, { :journal => journal }) >

20: < end >

21:

22: < heads_for_wiki_formatter if User.current.allowed_to?(:edit_issue_notes, issue.project) ||

User.current.allowed_to?(:edit_own_issue_notes, issue.project) %>

lib/redmine/hook.rb:61:in `block (2 levels) in call_hook'

lib/redmine/hook.rb:61:in `each'

lib/redmine/hook.rb:61:in `block in call_hook'

lib/redmine/hook.rb:58:in `tap'

lib/redmine/hook.rb:58:in `call_hook'

lib/redmine/hook.rb:158:in `call_hook'

app/views/issues/_history.html.erb:19:in `block in _app_views_issues_history_html_erb__2539078263862220710_36420820'

app/views/issues/_history.html.erb:2:in `each'

app/views/issues/_history.html.erb:2:in `_app_views_issues__history_html_erb__2539078263862220710_36420820'

app/views/issues/show.html.erb:120:in `_app_views_issues_show_html_erb___1789646110490885529_54719940'

app/controllers/issues_controller.rb:128:in `block (2 levels) in show'

app/controllers/issues_controller.rb:125:in `show'_

Also I've done below steps after importing the database.

rake db:migrate RAILS_ENV=production

rake db:migrate_plugins RAILS_ENV=production

But still I'm getting same error.

And I've ran the query too: "update issues set parent_id = NULL, root_id = id, lft = 1, rgt = 2;"

My Cloud instance details,

OS: Debian 7.0

Environment:

Redmine version: 2.5.3.stable.14155

Ruby version: 2.1.3-p242 (2014-09-19) [x86_64-linux]

Rails version: 3.2.19

Environment: production

Database adapter: Mysql2

Can anyone please help me this.
#1 - 2015-04-19 16:39 - Toshi MARUYAMA

- Category deleted (Database)

- Status changed from New to Closed

- Resolution set to Invalid

Please contact plugin author.

#2 - 2015-04-19 16:46 - Pandiyarajan Arumugam

- Status changed from Closed to Reopened

Hi Toshi,

Thanks for your response. But I'm unable to find the plugin which is getting error from above log. Can you please let me know that plugin name and I'll

remove the same.

#3 - 2015-04-19 16:47 - Toshi MARUYAMA

- Status changed from Reopened to Closed

https://github.com/jfqd/redmine_helpdesk/blob/v2.5/lib/journal_patch.rb

#4 - 2015-04-19 16:52 - Toshi MARUYAMA

https://github.com/jfqd/redmine_helpdesk/blob/v2.5/lib/helpdesk_hooks.rb

#5 - 2015-04-19 16:55 - Pandiyarajan Arumugam

Hi Toshi,

Thanks for your timely help. I've removed the mentioned plugin and its working fine. Once again thanks for your help.
